package com.tarena.oss.rights.dao;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

import junit.framework.TestCase;

public class RightsMgmtDAOByHibernateTest extends TestCase {
	private RightsMgmtDAO dao;
	public RightsMgmtDAOByHibernateTest(String name) {
		super(name);
	}

	protected void setUp() throws Exception {
		ApplicationContext ac = new ClassPathXmlApplicationContext("applicationContext.xml");
		dao = (RightsMgmtDAO)ac.getBean("rightdao");
	}

	protected void tearDown() throws Exception {
		super.tearDown();
	}

	public void testQueryRights() {
		System.out.println(dao.queryRights());
	}

}
